| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | Static Public Member Functions | List of all members
Ogre::RenderSystemCapabilitiesManager Class Reference
Core » RenderSystem

Class for managing RenderSystemCapabilities database for Ogre. More...

`#include <OgreRenderSystemCapabilitiesManager.h>`

Inheritance diagram for Ogre::RenderSystemCapabilitiesManager:
[legend]

## Public Member Functions
| RenderSystemCapabilitiesManager ()
| Default constructor. More...
| ~RenderSystemCapabilitiesManager ()
| Default destructor. More...
void | _addRenderSystemCapabilities (const String &name, RenderSystemCapabilities *caps)
| Method used by RenderSystemCapabilitiesSerializer::parseScript. More...
const std::map< String, RenderSystemCapabilities * > & | getCapabilities () const
| Access to the internal map of loaded capabilities. More...
RenderSystemCapabilities * | loadParsedCapabilities (const String &name)
| Returns a capability loaded with RenderSystemCapabilitiesManager::parseCapabilitiesFromArchive method. More...
void | parseCapabilitiesFromArchive (const String &filename, const String &archiveType, bool recursive=true)

## Static Public Member Functions
static RenderSystemCapabilitiesManager & | getSingleton (void)
| Get the singleton instance. More...
static RenderSystemCapabilitiesManager * | getSingletonPtr (void)
| Get the singleton instance. More...

## Detailed Description

Class for managing RenderSystemCapabilities database for Ogre.

Remarks
  This class behaves similarly to other ResourceManager, although .rendercaps are not resources. It contains and abstract a .rendercaps Serializer

## Constructor & Destructor Documentation

## ◆ RenderSystemCapabilitiesManager()

Ogre::RenderSystemCapabilitiesManager::RenderSystemCapabilitiesManager | ( |  | ) |

Default constructor.

## ◆ ~RenderSystemCapabilitiesManager()

Ogre::RenderSystemCapabilitiesManager::~RenderSystemCapabilitiesManager | ( |  | ) |

Default destructor.

## Member Function Documentation

## ◆ parseCapabilitiesFromArchive()

void Ogre::RenderSystemCapabilitiesManager::parseCapabilitiesFromArchive | ( | const String & | filename,
|  | const String & | archiveType,
|  | bool | recursive = `true`
| ) |  |

See also
  ScriptLoader::parseScript

## ◆ loadParsedCapabilities()

RenderSystemCapabilities* Ogre::RenderSystemCapabilitiesManager::loadParsedCapabilities | ( | const String & | name | ) |

Returns a capability loaded with RenderSystemCapabilitiesManager::parseCapabilitiesFromArchive method.

Returns
  NULL if the name is invalid, a parsed RenderSystemCapabilities otherwise.

## ◆ getCapabilities()

const std::map<String, RenderSystemCapabilities*>& Ogre::RenderSystemCapabilitiesManager::getCapabilities | ( |  | ) | const

Access to the internal map of loaded capabilities.

## ◆ _addRenderSystemCapabilities()

void Ogre::RenderSystemCapabilitiesManager::_addRenderSystemCapabilities | ( | const String & | name,
|  | RenderSystemCapabilities * | caps
| ) |  |

Method used by RenderSystemCapabilitiesSerializer::parseScript.

## ◆ getSingleton()

static RenderSystemCapabilitiesManager& Ogre::RenderSystemCapabilitiesManager::getSingleton | ( | void |  | ) |
| static

Get the singleton instance.

## ◆ getSingletonPtr()

static RenderSystemCapabilitiesManager* Ogre::RenderSystemCapabilitiesManager::getSingletonPtr | ( | void |  | ) |
| static

Get the singleton instance.

The documentation for this class was generated from the following file:

- OgreRenderSystemCapabilitiesManager.h